Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::DesktopGraphicsDeviceSelector Class Reference

デスクトップグラフィックスデバイスセレクタ More...

`#include <DesktopGraphicsDeviceSelector.h>`

Inheritance diagram for Lamp::DesktopGraphicsDeviceSelector:

List of all members.

## Public Member Functions
| DesktopGraphicsDeviceSelector ()
| コンストラクタ
virtual | ~DesktopGraphicsDeviceSelector ()
| デストラクタ
virtual bool | findBestWindowedMode (HWND windowHandle, bool requireHAL, bool requireREF)
| ウィンドウモードの最適な設定を探す
virtual bool | findBestFullscreenMode (HWND windowHandle, bool requireHAL, bool requireREF)
| フルスクリーンモードの最適な設定を探す

## Detailed Description

デスクトップグラフィックスデバイスセレクタ

現在のデスクトップの状態に近いデバイスを選択します

Definition at line 38 of file DesktopGraphicsDeviceSelector.h.

## Member Function Documentation

bool Lamp::DesktopGraphicsDeviceSelector::findBestFullscreenMode | ( | HWND | windowHandle,
|  | bool | requireHAL,
|  | bool | requireREF
| ) | `[virtual]`

  | フルスクリーンモードの最適な設定を探す Parameters:
  windowHandle | ウィンドウハンドル
  requireHAL | ハードウェアアクセラレーションを要求する場合はtrue
  requireREF | リファレンスラスタライザを要求する場合はtrue
Returns: 使用できるデバイスが存在すればtrue Implements Lamp::GraphicsDeviceSelector. Definition at line 120 of file DesktopGraphicsDeviceSelector.cpp. References Lamp::GraphicsDeviceSelector::buildFullscreenModeSettings(), Direct3D, Lamp::GraphicsDeviceEnumeration::getAdapter(), Lamp::GraphicsDeviceEnumeration::getAdapterCount(), Lamp::GraphicsDeviceComboInformation::getAdapterFormat(), Lamp::GraphicsAdapterInformation::getAdapterOrdinal(), Lamp::GraphicsDeviceComboInformation::getBackBufferFormat(), Lamp::GraphicsAdapterInformation::getDevice(), Lamp::GraphicsDeviceInformation::getDeviceCombo(), Lamp::GraphicsDeviceInformation::getDeviceComboCount(), Lamp::GraphicsAdapterInformation::getDeviceCount(), Lamp::GraphicsDeviceComboInformation::getDeviceType(), Lamp::GraphicsDeviceInformation::getDeviceType(), Lamp::GraphicsAdapterInformation::getDisplayMode(), Lamp::GraphicsAdapterInformation::getDisplayModeCount(), Lamp::DimensionI::height, Lamp::GraphicsDeviceComboInformation::isWindowed(), NULL, and Lamp::DimensionI::width.

bool Lamp::DesktopGraphicsDeviceSelector::findBestWindowedMode | ( | HWND | windowHandle,
|  | bool | requireHAL,
|  | bool | requireREF
| ) | `[virtual]`

  | ウィンドウモードの最適な設定を探す Parameters:
  windowHandle | ウィンドウハンドル
  requireHAL | ハードウェアアクセラレーションを要求する場合はtrue
  requireREF | リファレンスラスタライザを要求する場合はtrue
Returns: 使用できるデバイスが存在すればtrue Implements Lamp::GraphicsDeviceSelector. Definition at line 43 of file DesktopGraphicsDeviceSelector.cpp. References Lamp::GraphicsDeviceSelector::buildWindowModeSettings(), Direct3D, Lamp::GraphicsDeviceEnumeration::getAdapter(), Lamp::GraphicsDeviceEnumeration::getAdapterCount(), Lamp::GraphicsDeviceComboInformation::getAdapterFormat(), Lamp::GraphicsDeviceComboInformation::getBackBufferFormat(), Lamp::GraphicsAdapterInformation::getDevice(), Lamp::GraphicsDeviceInformation::getDeviceCombo(), Lamp::GraphicsDeviceInformation::getDeviceComboCount(), Lamp::GraphicsAdapterInformation::getDeviceCount(), Lamp::GraphicsDeviceComboInformation::getDeviceType(), Lamp::GraphicsDeviceInformation::getDeviceType(), Lamp::GraphicsDeviceComboInformation::isWindowed(), and NULL.

The documentation for this class was generated from the following files:

- DesktopGraphicsDeviceSelector.h
- DesktopGraphicsDeviceSelector.cpp